Package twisted :: Package coil :: Package plugins :: Module mail :: Class MaildirDBMConfigurator

[show private | hide private]
[frames | no frames]

## Class MaildirDBMConfigurator

          Configurator --+
                         |
    Collection --+       |
                 |       |
       Constrained --+   |
                     |   |
      ConfigCollection --+
                         |
                        MaildirDBMConfigurator

Method Summary
| ``__init__`(self, instance)` Initialize this configurator with the instance it will be configuring.
| ``configDispensers`(self)` Return list of dispensers. (inherited from `Configurator`)
| ``configure`(self, dict)` Set a list of configuration variables. (inherited from `Configurator`)
| ``delEntity`(self, name)` Remove a static reference for 'name'. (inherited from `Collection`)
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me. (inherited from `ConfigCollection`)
| ``getConfiguration`(self)` Return a mapping of key/value tuples describing my configuration. (inherited from `Configurator`)
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand. (inherited from `Collection`)
| ``getEntity`(self, name, request)` Retrieve an entity from me. (inherited from `Collection`)
| `getEntityType(self)`
| ``getInstance`(self)` Return the instance being configured. (inherited from `Configurator`)
| `getNameType(self)` (inherited from `ConfigCollection`)
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity. (inherited from `Collection`)
| ``getType`(self, name)` Get the type of a configuration variable. (inherited from `Configurator`)
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand. (inherited from `Collection`)
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| ``listEntities`(self, request)` Retrieve a list of all name, entity pairs I contain. (inherited from `Collection`)
| ``listNames`(self, request)` Retrieve a list of all names for entities that I contain. (inherited from `Collection`)
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to. (inherited from `Collection`)
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| ``nameConstraint`(self, name)` A method that determines whether an entity may be added to me with a given name. (inherited from `Constrained`)
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints. (inherited from `Constrained`)
| `reallyPutEntity(self, name, entity)`
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'. (inherited from `Collection`)

Class Variable Summary
`tuple` | `__implements__`
`str` | `configName`
`dict` | `configTypes`
`class` | `MaildirDirdbmDomain`
`type` | `str`

Method Details

### __init__(self, instance)
(Constructor)

Initialize this configurator with the instance it will be configuring.

  Overrides:
    `twisted.coil.coil.Configurator.__init__` (inherited documentation)

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class 'twisted.coil.coil.IConfigurator'>,
         <class 'twisted.coil.coil.IConfigCollection'>)

### configName

  Type:
    `str`
  Value:

        'Maildir DBM Domain'

### configTypes

  Type:
    `dict`
  Value:

        {'postmaster': ['boolean', 'Postmaster', 'Do bounces get send to postm\
        aster?']}

### MaildirDirdbmDomain

`MaildirDirdbmDomain` = `twisted.mail.maildir.MaildirDirdbmDomain`

### str

`str` = `__builtin__.str`

Generated by Epydoc 1.1 on Thu May 8 13:18:17 2003 | http://epydoc.sf.net